# QDoubleSpinBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractSpinBox.

### Constructor

- void QDoubleSpinBox(QWidget parent)

### Constructor Properties

- prototype: The QDoubleSpinBox prototype object

### Prototype Object Properties

The QDoubleSpinBox prototype object inherits properties from the QAbstractSpinBox prototype object and also has the following properties.

- void setRange(double min, double max)
- String textFromValue(double val)
- double valueFromText(String text)

### Instance Properties

QDoubleSpinBox objects inherit properties from the QDoubleSpinBox prototype object and also have the following properties.

- prefix
- suffix
- cleanText
- decimals
- minimum
- maximum
- singleStep
- value